@import "../../styles/colors.scss";
@import "../../styles/responsive.scss";
@import "../../styles/fonts.scss";

.Phone {
  @include tablet {
    display: flex;
    align-items: center;
    justify-content: center;
    flex-wrap: wrap;
  }
  &__item {
    min-height: 390px;
    height: auto;
    display: block;
    padding: 50px;

    &--green {
      background: linear-gradient(
        90deg,
        rgba(118, 202, 160, 1) 0%,
        rgba(176, 237, 212, 1) 100%
      );
    }

    &--yellow {
      background: linear-gradient(
        90deg,
        rgba(251, 186, 35, 1) 0%,
        rgba(249, 212, 86, 1) 100%
      );
    }

    &--purple {
      background: linear-gradient(
        90deg,
        rgba(185, 174, 234, 1) 0%,
        rgba(232, 219, 251, 1) 100%
      );
    }

    &--black {
      background: linear-gradient(
        90deg,
        rgba(48, 49, 48, 1) 0%,
        rgba(53, 53, 53, 1) 100%
      );
    }

    @include tablet {
      width: 31%;
      margin: 20px;
    }
    @include desktop {
      width: 21%;
    }
    &:hover {
      box-shadow: 0 14px 28px rgba(0, 0, 0, 0.25),
        0 10px 10px rgba(0, 0, 0, 0.22);
    }

    &__title {
      font-size: 30px;
      text-align: center;
      margin: 10px 0 0;
      color: $fontColorPrimary;

      &--black {
        color: $fontColorSecondary;
      }

      @include tablet {
        font-size: 22px;
      }
    }

    &__subtitle {
      text-align: center;
      margin: 5px 0 10px;
      font-size: 14px;
      color: $bgPrimaryColor;
      &--black {
        color: $fontColorSecondary;
      }
    }

    &__image {
      height: 250px;
      &__product {
        display: block;
        margin: 20px auto 0;
        width: 100%;
        max-width: 220px;
        height: auto;
      }
    }

    &__button {
      width: 50%;
      padding: 10px 20px;
      border: 0;
      border-radius: 8px;
      color: $bgPrimaryColor;
      font-weight: bold;
      font-size: 14px;
      display: block;
      margin: 10px auto;
      cursor: pointer;
      &--black {
        background-color: $fontColorPrimary;
      }
      &--yellow {
        background-color: $bgYellow;
      }
      &--green {
        background-color: $bgGreen;
      }
      &--purple {
        background-color: $bgPurple;
      }

      @include tablet {
        width: 70%;
        padding: 10px;
      }
      &:hover {
        opacity: 0.9;
      }
    }

    .Phone__detail {
      box-shadow: 0 3px 6px rgba(0, 0, 0, 0.16), 0 3px 6px rgba(0, 0, 0, 0.23);
      padding: 10px 20px;
      margin: 20px 0;
      border-radius: 8px;
      color: $fontColorPrimary;
      &--black,
      &--green {
        background-color: $fontColorPrimary;
        color: $bgPrimaryColor;
      }
      &__description {
        font-size: 14px;
      }
      &__list {
        padding-left: 0;
        list-style: none;
        text-align: center;
        margin: 5px 0;
        .Phone__list__item {
          font-size: 12px;
          font-weight: 600;
        }
      }
    }
  }
}
